### Function

# Gtkaccelerator_name_with_keycode

#### Declaration [src]

    char*
    gtk_accelerator_name_with_keycode (
      GdkDisplay* display,
      guint accelerator_key,
      guint keycode,
      GdkModifierType accelerator_mods
    )

#### Description [src]

Converts an accelerator keyval and modifier mask into a string parseable by gtk_accelerator_parse_with_keycode().

This is similar to `gtk_accelerator_name()` but handling keycodes. This is only useful for system-level components, applications should use `gtk_accelerator_name()` instead.

#### Parameters

`display`

  Type: `GdkDisplay`

  A `GdkDisplay` or `NULL` to use the default display.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`accelerator_key`

  Type: `guint`

  Accelerator keyval.

`keycode`

  Type: `guint`

  Accelerator keycode.

`accelerator_mods`

  Type: `GdkModifierType`

  Accelerator modifier mask.

#### Return value

Type: `char*`

A newly allocated accelerator name.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.